function [] = open()
%OPEN Initializes the tracking parameter gui.
%   

global artoaGui artoaWorkspace;

%% Check if the gui is already opened

if isfield(artoaGui.figures, 'trackParameter')
    figure(artoaGui.figures.trackParameter);
    return
end

%% Setup callbacks
callbacks = struct();
callbacks.CloseRequestFcn = @artoa.controller.track.parameter.close;
callbacks.comboboxTrackingMethod = @artoa.controller.track.parameter.comboboxTrackingMethod;
callbacks.checkboxDopplerCorrection = @artoa.controller.track.parameter.checkboxDopplerCorrection;
callbacks.comboboxInterpolationMethod = @artoa.controller.track.parameter.comboboxInterpolationMethod;
callbacks.comboboxSoundspeedMethod = @artoa.controller.track.parameter.comboboxSoundspeedMethod;
callbacks.checkboxPlotResiduals = @artoa.controller.track.parameter.checkboxPlotResiduals;
callbacks.inputOutputInterpolationInterval = @artoa.controller.track.parameter.inputOutputInterpolationInterval;
callbacks.inputGapSize = @artoa.controller.track.parameter.inputGapSize;
callbacks.tableSoundSourceCombinationsSelection = '';
callbacks.tableSoundSourceCombinationsEdit = '';
callbacks.buttonTrack = '';
callbacks.buttonQuickTrack = '';
callbacks.buttonAddCombination = '';
callbacks.buttonRemoveCombination = '';
callbacks.buttonResetAllCombinations = '';

%% Open the gui
artoa.gui.track.parameter( ...
    callbacks, ...
    artoaWorkspace.defaults.trackingMethods, ...
    artoaWorkspace.defaults.interpolationMethods, ...
    artoaWorkspace.defaults.soundspeedMethods ...
);

%% Create workspace variables
if ~isfield(artoaWorkspace, 'trackParameter')
    artoaWorkspace.trackParameter = struct();
end

%% Update the values if required
artoa.controller.track.parameter.updateGui();

end

