function [] = pressure()
%TEMPERATURE Defines the ARTOA4 edit pressure window.

global artoaGui artoaWorkspace;

%% Initialize required variables

windowTitle = [ 'ARTOA4 - Float ' num2str(artoaWorkspace.float.floatname) ' - Pressure' ];


%% Initialize pressure gui

artoaGui.figures.editPressure = figure( ...
    'Name', windowTitle, ...
    'NumberTitle', 'off' ...
);
addToolbarExplorationButtons(artoaGui.figures.editPressure);

artoaGui.editPressure = struct();

set( ...
    artoaGui.figures.editPressure, ...
    'CloseRequestFcn', ...
    'artoa.controller.edit.pressure.close();' ...
);

%% Generate Plot

artoa.controller.edit.updateAvailablePlots();

set(gca, 'Position', [0.13 0.11 0.706 0.815]);

%% Generate Controls

left = .85;
width = .14;
buttonHeight = .05;

artoaGui.editPressure.frameControls = uipanel( ...
    'Title', 'Data', ...
    'Units', 'normalized', ...
    'BackgroundColor', 'white', ...
    'Position', [left .11 width .815] ...
);

artoaGui.editPressure.buttonPick = uicontrol( ...
    'Parent', artoaGui.editPressure.frameControls, ...
    'String', 'Pick', ...
    'Style', 'PushButton', ...
    'FontSize', 8, ...
    'Units', 'normalized', ...
    'Position', [.156 .9 .69 buttonHeight], ...
    'CallBack', 'artoa.controller.edit.pressure.pickPolygon();' ...
);

artoaGui.editPressure.buttonApply = uicontrol( ...
    'Parent', artoaGui.editPressure.frameControls, ...
    'String', 'Apply', ...
    'Style', 'PushButton', ...
    'FontSize', 8, ...
    'Units', 'normalized', ...
    'Position', [.156 .85 .69 buttonHeight], ...
    'CallBack', 'artoa.controller.edit.pressure.applyStatusToSelectedPoints(1);' ...
);

artoaGui.editPressure.buttonReset = uicontrol( ...
    'Parent', artoaGui.editPressure.frameControls, ...
    'String', 'Reset', ...
    'Style', 'PushButton', ...
    'FontSize', 8, ...
    'Units', 'normalized', ...
    'Position', [.156 .8 .69 buttonHeight], ...
    'CallBack', 'artoa.controller.edit.pressure.applyStatusToSelectedPoints(0);' ...
);

artoaGui.editPressure.buttonDelete = uicontrol( ...
    'Parent', artoaGui.editPressure.frameControls, ...
    'String', 'Delete', ...
    'Style', 'PushButton', ...
    'FontSize', 8, ...
    'Units', 'normalized', ...
    'Position', [.156 .7 .69 buttonHeight], ...
    'CallBack', 'artoa.controller.edit.pressure.applyStatusToSelectedPoints(2);' ...
);

artoaGui.editPressure.buttonApplyAll = uicontrol( ...
    'Parent', artoaGui.editPressure.frameControls, ...
    'String', 'Apply all', ...
    'Style', 'PushButton', ...
    'FontSize', 8, ...
    'Units', 'normalized', ...
    'Position', [.156 .5 .69 buttonHeight], ...
    'CallBack', 'artoa.controller.edit.pressure.applyStatusToAllPointsExceptDeleted(1);' ...
);

artoaGui.editPressure.buttonResetAll = uicontrol( ...
    'Parent', artoaGui.editPressure.frameControls, ...
    'String', 'Reset all', ...
    'Style', 'PushButton', ...
    'FontSize', 8, ...
    'Units', 'normalized', ...
    'Position', [.156 .45 .69 buttonHeight], ...
    'CallBack', 'artoa.controller.edit.pressure.applyStatusToAllPointsExceptDeleted(0);' ...
);

artoaGui.editPressure.buttonReplot = uicontrol( ...
    'Parent', artoaGui.editPressure.frameControls, ...
    'String', 'Replot', ...
    'Style', 'PushButton', ...
    'FontSize', 8, ...
    'Units', 'normalized', ...
    'Position', [.156 .05 .69 buttonHeight], ...
    'CallBack', 'artoa.controller.edit.pressure.plot();' ...
);


end

