function [] = timeOfArrival()
%TIMEOFARRIVAL Defines the ARTOA4 edit time of arrival window.

global artoaGui artoaWorkspace;

%% Initialize required variables

windowTitle = [ 'ARTOA4 - Float ' num2str(artoaWorkspace.float.floatname) ' - Time of arrival' ];


%% Initialize time of arrival gui

artoaGui.figures.editTimeOfArrival = figure( ...
    'Name', windowTitle, ...
    'NumberTitle', 'off' ...
);
addToolbarExplorationButtons(artoaGui.figures.editTimeOfArrival);

artoaGui.editTimeOfArrival = struct();

set( ...
    artoaGui.figures.editTimeOfArrival, ...
    'CloseRequestFcn', ...
    'artoa.controller.edit.timeOfArrival.close();' ...
);

%% Generate Plot

artoa.controller.edit.timeOfArrival.plot();

set(gca, 'Position', [0.13 0.11 0.706 0.815]);

%% Generate Controls

left = .85;
width = .14;
buttonHeight = .05;
buttonMarginLeftRight = .005;

%% Data frame
artoaGui.editTimeOfArrival.frameControls = uipanel( ...
    'Title', 'Data', ...
    'Units', 'normalized', ...
    'BackgroundColor', 'white', ...
    'Position', [left .6 width .3] ...
);

artoaGui.editTimeOfArrival.buttonPick = uicontrol( ...
    'Parent', artoaGui.editTimeOfArrival.frameControls, ...
    'String', 'Pick', ...
    'Style', 'PushButton', ...
    'FontSize', 8, ...
    'Units', 'normalized', ...
    'Position', [.156 .75 .69 .2], ...
    'CallBack', 'artoa.controller.edit.timeOfArrival.pickPolygon();' ...
);

artoaGui.editTimeOfArrival.buttonShift = uicontrol( ...
    'Parent', artoaGui.editTimeOfArrival.frameControls, ...
    'String', 'Shift', ...
    'Style', 'PushButton', ...
    'FontSize', 8, ...
    'Units', 'normalized', ...
    'Position', [.156 .5 .69 .2], ...
    'CallBack', 'artoa.controller.edit.timeOfArrival.shiftToaSelection();' ...
);

artoaGui.editTimeOfArrival.buttonReplot = uicontrol( ...
    'Parent', artoaGui.editTimeOfArrival.frameControls, ...
    'String', 'Replot', ...
    'Style', 'PushButton', ...
    'FontSize', 8, ...
    'Units', 'normalized', ...
    'Position', [.156 .05 .69 .2], ...
    'CallBack', 'artoa.controller.edit.timeOfArrival.plot();' ...
);

%% Sound source frame

artoaGui.editTimeOfArrival.frameControlsSoundSource = uipanel( ...
    'Title', 'Soundsource', ...
    'Units', 'normalized', ...
    'BackgroundColor', 'white', ...
    'Position', [left .11 width .2] ...
);

artoaGui.editTimeOfArrival.buttonApply = uicontrol( ...
    'Parent', artoaGui.editTimeOfArrival.frameControlsSoundSource, ...
    'String', 'Apply', ...
    'Style', 'PushButton', ...
    'FontSize', 8, ...
    'Units', 'normalized', ...
    'Position', [.156 .55 .69 .4], ...
    'CallBack', 'artoa.controller.edit.timeOfArrival.applySoundSourceToSelectedPoints();' ...
);

artoaGui.editTimeOfArrival.buttonDelete = uicontrol( ...
    'Parent', artoaGui.editTimeOfArrival.frameControlsSoundSource, ...
    'String', 'Withdraw', ...
    'Style', 'PushButton', ...
    'FontSize', 8, ...
    'Units', 'normalized', ...
    'Position', [.156 .05 .69 .4], ...
    'CallBack', 'artoa.controller.edit.timeOfArrival.removeSoundSourceFromSelectedPoints();' ...
);


end

